#
# spec file for package build (Version 2009.09.23)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           build
License:        GPL v2 or later
Group:          Development/Tools/Building
AutoReqProv:    on
Summary:        A Script to Build SUSE Linux RPMs
Version:        2009.09.23
Release:        6.1
# osc rm build-*tar.bz2
# REVISION=$(svn info https://forgesvn1.novell.com/svn/opensuse/trunk/buildservice/src/build | sed -ne "/Revision: /s///p")
# VERSION="$(date +"%Y.%m.%d").r$REVISION"
# svn export -r$REVISION https://forgesvn1.novell.com/svn/opensuse/trunk/buildservice/src/build build-$VERSION
# tar cjvf build-$VERSION.tar.bz2 build-$VERSION
# rm -rf build-$VERSION
# osc add build-$VERSION.tar.bz2
# # There's several occurences of "Version: something" in this file,
# # two of them valid, so we need to be picky in the match.
# sed --in-place build.spec -e"/\(Version:\?[[:space:]]\+\)\([0-9]\{4\}\.[0-9][0-9]\.[0-9][0-9]\.r[0-9]\+\)/s,,\1$VERSION,"
# osc build build.spec
# osc ci
# osc submitreq create -m"current svn snapshot." openSUSE:Tools build openSUSE:Factory
Source:         build-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
# Manual requires to avoid hard require to bash-static
AutoReqProv:    off
Requires:       /bin/bash
Requires:       /usr/bin/perl

%description
This package provides a script for building RPMs for SUSE Linux in a
chroot environment.



%prep
%setup -q

%build

%install
make DESTDIR=$RPM_BUILD_ROOT install
#ln -s /usr/lib/build/build $RPM_BUILD_ROOT/usr/bin/build

%files
%defattr(-,root,root)
%doc README
/usr/bin/build
/usr/bin/buildvc
/usr/bin/unrpm
/usr/lib/build
%{_mandir}/man1/build.1*

%changelog
* Wed Sep 23 2009 mls@suse.de
- update to current svn (r8048)
  - support openSUSE 11.2 [bnc#539914]
* Mon Jul 27 2009 ro@suse.de
- update to current svn (r7751)
  - support for legacy releasepkg mechanism
  - only print parse warnings if $config->{'warnings'} is set
  - set warnings for expanddeps/substitutedeps
  - use UTC as default timezone
  - also consider patches as sources
  - do not call depmod until we use also the native kernel,
    it can't match otherwise
  - return with value 3, if basic file system creation fails.
    bs_worker will mark the build host as bad and retries on another one.
  - handle files from service correctly and strip their prefix.
  - - also add rpmv3 compatibility hack to createrpmdeps
  - mount proc filesystem for build compare run
  - fix for ccache support from
  - add build-ids for debuginfo packages for subpacks
* Wed Jun  3 2009 adrian@suse.de
- update to current svn (r7483)
  * Jan-Simons "ChangeTarget" support
  * fix for handling missing self provides with rpm format 3.0.6
* Thu Apr 23 2009 adrian@suse.de
- update to current svn (r7164)
  * package vc tool correctly
  * avoid running fsck on vm instances after 23 build runs
- install files via Makefile instead of manual calls in spec file
* Mon Apr 20 2009 adrian@suse.de
- update to current svn (r7126)
  * new blocklist based build result export
  * Martin Mohrings cross build extensions
  * vc tool included now
* Mon Mar 23 2009 adrian@suse.de
- Fix for "Requires(pre/post)" tags
- fix missing abuild group in /etc/gshadow on debian like distros
* Wed Feb 25 2009 adrian@suse.de
- Update for bug fix for image build with additional packages in --create step
  (fix from cthiel, bnc#479537)
* Fri Feb 20 2009 adrian@suse.de
- Fix kvm support together with Alexander
- Support for new disturl containing a complete pointer to build
  service instance resource
- add support for package compare to allow Build Service to drop
  same packages after build
- image repack support from Christoph
* Tue Jan 27 2009 adrian@suse.de
- update to current buildservice/1.5 branch
- More fixes for kiwi image build
- Move Susetags.pm to correct Build:: namespace
* Wed Dec 10 2008 froh@suse.de
- update to r5853:
- added: new armv7el arch for all binaries for up to ARMv7 EABI with VFP
- Fix kiwi image build support within osc
* Fri Dec  5 2008 froh@suse.de
- remove baselibs.conf from the spec file, too
* Fri Dec  5 2008 ro@suse.de
- delete baselibs.conf (nowadays stored in package sources)
* Wed Dec  3 2008 ro@suse.de
- delete automatic requires for debuginfo-xxbit
* Wed Dec  3 2008 froh@suse.de
- config update
* Fri Nov 28 2008 froh@suse.de
- many kiwi fixes
- _no_ cross build support yet
* Thu Nov 13 2008 ro@suse.de
- update mkbaselibs broken by previous debuginfo change
- various fixes for kiwi build
- add sl11.1.conf
- add support for --disturl
- also save .desktopfiles for coolo
* Thu Oct 23 2008 ro@suse.de
- disable ppc:ia32 stuff again, causes trouble and can not work
* Tue Oct 21 2008 jblunck@suse.de
- Generate debuginfo packages for baselibs (bnc #396196)
* Mon Oct 20 2008 ro@suse.de
- update to svn trunk of today:
- init_buildsystem: check for some left space before calling rpmbuild
  - create dev/shm as directory
- baselibs_global.conf: update to current internal revision
  - add ia32 stuff for x86 binaries on ppc
  - add ldconfig for all non-devel baselibs packages
- changed: to function also with emulators better use fakeroot-tcp
  for debian build
- fixed: changed basis for memory calculation to assume also a stack
  which can be swapped well. gcc often needs much memory here
- recognize SLES10
- fix boolification in && and ||
- re-preinstall critical packages on update
- fix creation of buildenv to do it the same time with and without VM.
- fixes installation-images build for ppc
- fixed #406596: don't ignore BuildRequires in subpackages
- print finished message
- set BUILD_USER depending on the suse_version like it is done in
  old autobuild
- added documentation for specfile control comments for build(1)
- add --incarnation
- add --create-build-binaries
- support badarch (aka excludearch)
- add support for Requires(pre) or (post) semantic
* Mon Aug 11 2008 adrian@suse.de
  Update from current svn trunk:
- Improved XEN support (XEN call only once per build)
- Add post build check hooks
- rpmlint support
- added kvm support
- refactored code in various places
* Tue Jun  3 2008 mls@suse.de
- fix debtransform bug [bnc#396766]
* Thu May 29 2008 mls@suse.de
- add 11.0 config
- fix debian provides
- fix rpm tag parsing
- add with/without/define/ccache/icecream/debug options
- update mkbaselibs
* Fri Sep 14 2007 mls@suse.de
- add sl10.3 config [#310089]
- also look for BuildRequires in subpackage definitions [#305568]
- allow removal of more config parameters
* Thu Aug  2 2007 mls@suse.de
- support 'order' config option
- support 'patterntype' config option
- new setdeps() method
- support for flexible query options
- support 'description' query
- fix bug in changelog2spec time cutoff
- make debtransform understand Debtransform-Tar/Debtransform-Files-Tar/
  Debtransform-Series
- fix bug in substitutedeps
* Wed Jun 13 2007 mls@suse.de
- implement rpm installation order calculation in perl
- make substitute code modify requires, too
- add filelist query support
- add prereq parsing support
- speed up version comparison a bit
* Thu May 10 2007 mls@suse.de
- add _vendor to configs
- fix deban dependency compare
- allow not operator in configs
- fix build from source rpms
* Thu Apr 12 2007 mls@suse.de
- add --root to rpm call in rpm to work around a bug in rpm [#255720]
* Thu Apr  5 2007 mls@suse.de
- update to 1561:
  * support architecture dependand requires in dsc files
  * support "global" definitions for rpm
  * support vminstall config option
* Mon Mar 12 2007 mls@suse.de
- update to r1419:
  * fix buildroot in debtransform
  * obey version numbers when expanding
* Fri Mar  2 2007 mls@suse.de
- transform suse changes file to rpm specfile format
- improved debian support
* Fri Jan 26 2007 poeml@suse.de
- update to r1114:
  - re-add the lost unrpm script
* Fri Jan 26 2007 poeml@suse.de
- update to r1110:
  - make exclarch an array
  - remount root rw in xen case, needed if root is not reiserfs
  - add repotype/runscripts options
  - remove devs in sl10.1/10.2
  - fix boolean test to make "00" false like rpm does
  - add rpm_verscmp for version comparison
  - runscripts
  - macro blocks
  - read_config_dist
  - useful xen exit status
  - add --kill
  - update 10.2 config
  - extend spec/dsc parser
  - fixed two bugs in the specfile parser
* Fri Nov 24 2006 mls@suse.de
- fix suse_version in sl10.1/sles10 config
- add sl10.2 config
- make dist autodetection work with opensuse
- fix macro sequencing and expression parser bugs
- treat preinstalls as keep
* Thu Aug 24 2006 ro@suse.de
- init_buildsystem: when preinstalling, handle only sh scripts
* Wed Jun 14 2006 mls@suse.de
- support for buildservice and debian packages
* Fri Apr 28 2006 mls@suse.de
- add ndeps back to expansion calls
- save original macro name so that other regexp calls don't destroy
  it
* Wed Apr 19 2006 mls@suse.de
- add --list-state option [#119869]
- suppress stat messages when deleting rpms [#154385]
- delete not-ready flag when rpm expansion failes [#133568]
- update baselibs.conf
* Tue Apr 11 2006 mls@suse.de
- fix typo in configs
- fix macro handling
* Fri Apr  7 2006 mls@suse.de
- mkbaselibs: do not leave .src.rpm in the release [#158816]
* Tue Apr  4 2006 mls@suse.de
- add update-alternatives to java2-devel-packages macro [#156137]
* Mon Mar 27 2006 mls@suse.de
- run zic to set default timezone [#142363]
- update baselibs.conf
* Fri Mar 24 2006 mls@suse.de
- fix handling of "keep" [#160346]
- fix old configs [#159947]
* Mon Mar 20 2006 mls@suse.de
- make mkbaselibs use the right version for the srcrpm
- update mkbaselibs configuration files
* Fri Mar 10 2006 mls@suse.de
- add package expansion and dependency substitution support
* Wed Feb  8 2006 agruen@suse.de
- Adjust the package lists so that the build script can at least
  be used again.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Sep 12 2005 mls@suse.de
- also search for ix86 packages when building x86_64 [#116069]
* Mon Sep  5 2005 mls@suse.de
- add --baselibs option
- fix --extra-packs
* Thu May 12 2005 mls@suse.de
- Fix typo in init_buildsystem that prevented the reuse of the build
  environment [#74714]
* Fri Mar 11 2005 mls@suse.de
- integrated patches into tarball
- allowed build for older dists [#65506]
* Wed Mar  2 2005 agruen@suse.de
- Some more cleanups for 9.3.
- When using the default list of packages, also try to include the
  packages in neededforbuild.
* Mon Feb 28 2005 agruen@suse.de
- ldconfig must be called with its absolute path.
* Tue May 25 2004 mls@suse.de
- overhaul the manpage
* Thu Mar 25 2004 mls@suse.de
- incorporate ro's diff
* Wed Mar 24 2004 mls@suse.de
- really adapt to 9.1
- add --root and --extra-packs options
- use BuildRequires: line
- use user 'abuild' if norootforbuild found
- fix BUILD_DIR security issue (#35281)
* Thu Mar 11 2004 ro@suse.de
- adapted for 9.1
* Tue Nov 11 2003 mmj@suse.de
- Accept "-h" for help
- rpm -ba is now rpmbuild -ba
- Add Maximum RPM reference
* Mon Nov 10 2003 mmj@suse.de
- Update the default USEDFORBUILD to match todays packages
- Don't build as root
* Wed Oct 15 2003 mmj@suse.de
- Fix to work on amd64 (from mls) [#32229]
* Fri Sep  5 2003 mls@suse.de
- select i586 on i686 is user didn't specify arch
- complain if user wan't to build i686 on a not-i686 processor
- patch rpmrc so that i686 rpms are written if building for i686
* Thu Sep  4 2003 mls@suse.de
- port to sl90
- allow path for BUILD_RPMS
- add BUILD_ARCH and autodetection
- add --jobs and --target options
* Fri Aug 29 2003 nashif@suse.de
- fixed call for "head"
* Thu Aug  7 2003 schwab@suse.de
- Fix typo.
* Thu Aug  7 2003 mmj@suse.de
- Enhance build.1 a bit
* Sat Mar  8 2003 kukuk@suse.de
- Fix build on 8.2 (coreutils) [Bug #24895]
* Fri Jan 31 2003 kukuk@suse.de
- Fix build patch from bk.
* Wed Jan 29 2003 kukuk@suse.de
- Add workaround for duplicate packages for different archs
- Add support for upcoming 8.2
* Fri Oct  4 2002 bk@suse.de
- integrate 8.1 diff into tarball and update README
- build.dif: init_buildsystem: add support for earlyer distributions
* Mon Sep  9 2002 mls@suse.de
- Adjust for SuSE Linux 8.1 again
- Fix parameter parsing
- Changed build to accept .src.rpm sources
* Mon Aug 19 2002 kukuk@suse.de
- Adjust for SuSE Linux 8.1
* Tue Jul 30 2002 kukuk@suse.de
- Fix get_version_number.sh
* Thu Jul 18 2002 kukuk@suse.de
- Don't create /etc/rc.config
* Wed Jul  3 2002 kukuk@suse.de
- Add default package list for new spec files without usedforbuild
- Make it work with gcc 2.95 and gcc 3.1
* Thu Mar  7 2002 kukuk@suse.de
- Fix build/init_buildsystem
* Mon Jan 14 2002 kukuk@suse.de
- Add manual page from Gerd Knorr
* Fri Dec 14 2001 kukuk@suse.de
- Fix file list
- Ignore new RPMs from pre-8.0 on 7.3
* Fri Dec 14 2001 kukuk@suse.de
- More fixes
* Tue Nov 27 2001 kukuk@suse.de
- New build script which uses "usedforbuild"
* Thu Jan 18 2001 kukuk@suse.de
- Update Readme and init_buildsystem for 7.1
* Thu Nov 30 2000 kukuk@suse.de
- Update init_buildsystem, add README
* Wed Nov 15 2000 kukuk@suse.de
- First version
